
include('shared.lua')

local matBall = Material( "sprites/sent_fastball" )

/*---------------------------------------------------------
   Name: Initialize
---------------------------------------------------------*/
function ENT:Initialize()
	
	local i = math.random( 0, 8 )
	
	if ( i == 0 ) then
		self.Color = Color( 255, 0, 0, 255 )
	elseif ( i == 1 ) then
		self.Color = Color( 0, 255, 0, 255 )
	elseif ( i == 2 ) then
		self.Color = Color( 255, 255, 0, 255 )
	elseif ( i == 3 ) then
		self.Color = Color( 255, 0, 255, 255 )
	elseif ( i == 4 ) then
		self.Color = Color( 255, 255, 255, 255 )
	elseif ( i == 5 ) then
		self.Color = Color( 60, 90, 255, 255 )
	elseif ( i == 6 ) then
		self.Color = Color( 0, 0, 255, 255 )
	elseif ( i == 7 ) then
		self.Color = Color( 0, 255, 255, 255 )
	else
		self.Color = Color( 89, 233, 255, 255 )
	end
	
end


/*---------------------------------------------------------
   Name: DrawPre
---------------------------------------------------------*/
function ENT:Draw()
	
	local pos = self.Entity:GetPos()
	local vel = self.Entity:GetVelocity()
		
	render.SetMaterial( matBall )
	
	local lcolor = render.GetLightColor( pos ) * 6
	lcolor.x = self.Color.r * mathx.Clamp( lcolor.x, 0, 1 )
	lcolor.y = self.Color.g * mathx.Clamp( lcolor.y, 0, 1 )
	lcolor.z = self.Color.b * mathx.Clamp( lcolor.z, 0, 1 )
		
	// Fake motion blur
	for i = 1, 10 do
	
		local col = Color( lcolor.x, lcolor.y, lcolor.z, 200 / i )
		render.DrawSprite( pos + vel*(i*-0.005), 32, 32, col )
		
	end
		
	render.DrawSprite( pos, 32, 32, lcolor )
	


end

